=== debian/changelog ===
chiark-utils (4.1.32) unstable; urgency=medium

  xacpi-simple improvements:
  * Better parsing of boolean -debug option.
  * Support -into, -iconic and -withdrawn options.

  Packaging fix:
  * debian/rules clean removes various sv-* and dh log files.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 07 Jun 2012 19:22:46 +0100

chiark-utils (4.1.31) unstable; urgency=medium

  Bugfixes to programs:
  * xacpi-simple updated:
    - Now works with recent kernels by reading /sys/class/power_supply
      (so is now misnamed, since that may or may not come from acpi).
      Closes: #635242.
    - Copes both with batteries which report charge/current and ones which
      report energy/power.
    - Copes with batteries which are not full, charging or discharging
      (eg, if the system is on a/c but battery charging is suppressed).
    - Shows red when time remaining is less than 5 minutes (configurable)
      rather than trying to use "alarm" value from /sys/class/power_supply
      (which is not very predictable or reliable).
    - Option -debug produces some debugging output.
    - In the code, rename pix_... variables to be named after the meaning
      rather than the default colour.
  * chiark-backup's /etc/chiark-backup/snap/nosnap is now more careful
    about rm vs. rmdir of its link/mountpoint/whatever.

  Documentation and description improvements:
  * watershed now installs its head doc comment in
    /usr/share/doc/chiark-utils-bin/watershed.txt.
    This is apropos of #659989 but is of course not a proper fix.
  * Mention rcopy-repeatedly in the Description.

  User-visible packaging improvements:
  * chiark-backup Suggests chiark-utils-bin, not the nonexistent
    chiark-cprogs (for `summer').

  Other packaging and source code improvements:
  * Provide build-arch and build-indep debian/rules targets.
  * Fix the type of a callback function passed to scandir, to expect
    struct dirent**'s rather than void*'s.
  * Add -Wno-pointer-sign to gcc warning options.
  * Add ${misc:Depends} to Depends: lines.  Causes no change to the .debs.
  * Switch to git.  Move .cvsignores to .gitignore, etc.
  * Update my email address.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Wed, 06 Jun 2012 02:30:50 +0100

chiark-utils (4.1.30) unstable; urgency=low

  * rcopy-repeatedly: new utility
  * cvs-repomove: work with Solaris's shoddy sed.  (Closes: #497670)
  * backup/snap-drop: honour argument specifying vardir.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Wed,  8 Oct 2008 21:42:17 +0100

chiark-utils (4.1.29) unstable; urgency=low

  * backup-snaprsync: pass $vardir as argument to snap-drop
  * backup-snaprsync: add a missing x prefix to an ssh invocation
  * chiark-backup: really cope properly with nosnap removal

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Thu, 28 Aug 2008 20:02:47 +0100
