## chiark-utils 4.2.0

=== cprogs/Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 RWBUFFER_SIZE_MB=16
 
-PROGRAMS=		readbuffer writebuffer with-lock-ex xacpi-simple \
+PROGRAMS=		readbuffer writebuffer with-lock-ex xbatmon-simple \
 			summer watershed rcopy-repeatedly
 SUIDSBINPROGRAMS=	really
 DAEMONS=		trivsoundd
@@ -48,7 +48,7 @@
 really.o myopt.o rcopy-repeatedly.o: myopt.h
 readbuffer.o writebuffer.o rwbuffer.o wrbufcore.o trivsoundd.o:	rwbuffer.h
 
-xacpi-simple:	xacpi-simple.o
+xbatmon-simple:	xbatmon-simple.o
 		$(CC) -o $@ $< -L/usr/X11R6/lib -lX11 -lm
 
 summer:		summer.o
