=== debian/changelog ===
chiark-utils (4.2.0) unstable; urgency=low

  * Rename `xacpi-simple' to `xbatmon-simple':
    - rename source file
    - change program name in Makefiles, .gitignore, rules, etc.
    - change program's idea of its own name for usage message
    - look for X resources under both old ane new names
    - provide a compatibility symlink (using dh_link)

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 10 Jun 2012 21:40:32 +0100
