=== debian/control ===
--- 
+++ 
@@ -93,7 +93,7 @@
  summer: a tool for reporting complete details about a filesystem tree
  in a parseable format, including checksums.
  .
- xacpi-simple: a very simple X client for displaying battery
+ xbatmon-simple: a very simple X client for displaying battery
  charge status.
  .
  watershed: a utility for saving on superfluous executions of an
@@ -105,7 +105,7 @@
  host to another, to keep a copy constantly up to date.
  .
  summer and watershed require the installation of the Recommended
- crypto libraries; xacpi-simple needs the Suggested X libraries.
+ crypto libraries; xbatmon-simple needs the Suggested X libraries.
 
 Package: chiark-really
 Section: admin
