=== debian/rules ===
--- 
+++ 
@@ -102,6 +102,7 @@
 		cp debian/$p/$$f $t/$p/DEBIAN/$$f; \
 		chmod u=rwX,go=rX $t/$p/DEBIAN/$$f; \
 	done
+	dh_link -p$p -Pdebian/tmp/$p
 	dpkg-gencontrol -isp -p$p -P$t/$p -Tdebian/sv-$p
 	chown -R root.root debian/tmp
 	chmod -R g-ws debian/tmp
@@ -122,7 +123,7 @@
 		$t/chiark-really/usr/sbin/*
 	set -e; for f in $t/chiark-utils-bin/usr/bin/*; do \
 		case "$$f" in \
-		*/xacpi-simple)		d=Suggests	;; \
+		*/xbatmon-simple)	d=Suggests	;; \
 		*/watershed|*/summer)	d=Recommends	;; \
 		*)			d=Depends	;; \
 		esac; \
