=== debian/changelog ===
chiark-utils (4.3.0) unstable; urgency=medium

  New utilities:
  * xduplic-copier.  Closes:#727223.
  * git-cache-proxy.

  New features:
  * random-word: -F<n> option for using only first <n> lines of source file.

  Bugfixes:
  * Make xbatmon-simple tolerate the lack of "type" in power supply uevent
    fields, by guessing the type from the presence or absence of "present"
    (which appears for batteries) and "online" (which appears for mains).
    Closes: #689134.

  Documentation improvements:
  * really: Add "danger!" warning to usage message description of -R.
  * really: Document -R option in the manpage.  Closes:#693354.
  * really: Document need to be in the "root" group as well.  (This is
    better than removing the restriction, because it would be dangerous to
    relax this security barrier in existing deployments.)  Closes:#693356.
  * watershed; Provide -h and --help options.  Closes:#659989.

  Build and portability fixes:
  * cprogs: Saner build runes when extra libs or objs needed.
  * cprogs: Honour CMDLINE_CFLAGS, CMDLINE_CPPFLAGS, CMDLINE_LDFLAGS.
  * debian/rules: use dpkg-buildflags and pass to Makefile.
  * cprogs/Makefile: clean deletes $PROGRAMS
  * random-word: Some perl-mode emacs formatting glitch workarounds.
  * random-word: use strict; -w.
  * cprogs/usr-local-src-misc-Makefile: Remove ancient cruft file.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 29 Nov 2013 20:52:15 +0000
