=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: admin
 Priority: extra
 Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
-Build-Depends: libx11-dev, nettle-dev, debhelper (>= 5)
+Build-Depends: libx11-dev, libxmu-dev, nettle-dev, debhelper (>= 5),
+               libxdmcp-dev, libxau-dev, libice-dev, libsm-dev
 Standards-Version: 3.9.1
 
 Package: chiark-backup
@@ -96,6 +97,9 @@
  xbatmon-simple: a very simple X client for displaying battery
  charge status.
  .
+ xduplic-copier: a very simple X client for typing into multiple windows
+ at once.
+ .
  watershed: a utility for saving on superfluous executions of an
  idempotent command.  (This is the same utility as shipped separately
  in Ubuntu's udev, but with slightly different defaults and a
