=== debian/rules ===
--- 
+++ 
@@ -13,9 +13,16 @@
 d=	$(cwd)/debian
 t=	$d/tmp
 
+makebuildargs := OPTIMISE= DEBUG= \
+ CMDLINE_CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" \
+ CMDLINE_CPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" \
+ CMDLINE_LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"
+
 build:
 	$(checkdir)
-	set -e; for s in $(subdirs_build_arch); do $(MAKE) -C $$s all; done
+	set -e; for s in $(subdirs_build_arch); do \
+		$(MAKE) -C $$s all $(makebuildargs); \
+	done
 	touch build
 
 build-indep: build
@@ -123,7 +130,8 @@
 		$t/chiark-really/usr/sbin/*
 	set -e; for f in $t/chiark-utils-bin/usr/bin/*; do \
 		case "$$f" in \
-		*/xbatmon-simple)	d=Suggests	;; \
+		*/xbatmon-simple|*/xduplic-copier) \
+					d=Suggests	;; \
 		*/watershed|*/summer)	d=Recommends	;; \
 		*)			d=Depends	;; \
 		esac; \
