## chiark-utils 4.3.1

=== debian/changelog ===
chiark-utils (4.3.1) unstable; urgency=medium

  Bugfixes:
  * expire-iso8601: Fix mistake in usage message.
  * git-cache-proxy: Fix various bugs in housekeeping.  Fixes a bug
    where a particular cache dir could become `Not a git repository.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 28 Jul 2014 15:52:50 +0100
