## chiark-utils 4.4.2

=== debian/changelog ===
chiark-utils (4.4.2) unstable; urgency=low

  Copyright licencing fixes:
  * nntpid: Provice actual licence (dual MIT/GPL3+).  Closes:#773650.
  * git-cache-proxy: Mention in debian/copyright.
  * git-cache-proxy: Update copyright year list to include 2014.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 21 Dec 2014 15:07:20 +0000

chiark-utils (4.4.1) unstable; urgency=low

  Safety and convenience fix:
  * Redact command name characters outside 33-126.

  Portability fixes for platforms where we can't build acctdump:
  * Do not build on platforms with no <sys/acct.h>

  Portability fixes for acctdump on kFreeBSD:
  * Use different struct acct, and different headers, on different
    platforms.
  * Tolerate lack of ac_exitcode.
  * Tolerate lack of ac_minflt and ac_majflt (and use %lu as is right).
  * Tolerate variation in ac_flag field name, and, to an extent, value.
  * Print ac_mem and ac_io if available.
  * Together, the above: Closes:#766913.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 26 Oct 2014 23:52:41 +0000

chiark-utils (4.4.0) unstable; urgency=low

  New utilities:
  * acctdump.  (Imported from CVS and chiark by Jonathan Amery.)

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 26 Oct 2014 14:39:11 +0000
