## chiark-utils 4.4.2build1

=== cprogs/Makefile ===
--- 
+++ 
@@ -37,6 +37,17 @@
 BUILTTXTDOCS=		watershed.txt
 TXTDOCS=		$(BUILTTXTDOCS)
 
+acctdump_cc_out:=$(shell \
+	printf "\#include <sys/types.h>\n\#include <sys/acct.h>" \
+		| $(CC) -E - 2>&1 >/dev/null \
+)
+ifeq (,$(acctdump_cc_out))
+PROGRAMS+=acctdump
+MAN8PAGES+=acctdump.8
+else
+$(warning Not building acctdump: $(acctdump_cc_out))
+endif
+
 TARGETS=	$(PROGRAMS) $(SUIDSBINPROGRAMS) $(DAEMONS) $(BUILTTXTDOCS)
 
 all:		$(TARGETS)
@@ -45,8 +56,9 @@
 writebuffer:			writebuffer.o	wrbufcore.o	rwbuffer.o 
 trivsoundd:			trivsoundd.o	wrbufcore.o 	rwbuffer.o 
 really:				really.o myopt.o
+acctdump:			acctdump.o	myopt.o
 
-really.o myopt.o rcopy-repeatedly.o: myopt.h
+acctdump.o really.o myopt.o rcopy-repeatedly.o: myopt.h
 readbuffer.o writebuffer.o rwbuffer.o wrbufcore.o trivsoundd.o:	rwbuffer.h
 
 xbatmon-simple: LDLIBS += -lX11 -lm
