=== debian/changelog ===
chiark-utils (4.4.2build1) wily; urgency=medium

  * Rebuild against libnettle6.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 25 Jun 2015 13:39:28 +0100
