=== debian/control ===
--- 
+++ 
@@ -108,6 +108,8 @@
  rcopy-repeatedly: a utility for repeatedly copying a file from one
  host to another, to keep a copy constantly up to date.
  .
+ acctdump: for reading process accounting files.
+ .
  summer and watershed require the installation of the Recommended
  crypto libraries; xbatmon-simple needs the Suggested X libraries.
