=== debian/rules ===
--- 
+++ 
@@ -91,8 +91,7 @@
 		mv really.8 $t/chiark-really/usr/share/man/man8/
 	rm	$t/chiark-utils-bin/usr/sbin/trivsoundd \
 		$t/chiark-utils-bin/usr/share/man/man8/trivsoundd.8
-	rmdir	$t/chiark-utils-bin/usr/sbin \
-		$t/chiark-utils-bin/usr/share/man/man8
+	rmdir	$t/chiark-utils-bin/usr/sbin
 	#
 	gzip -9f $t/*/usr/share/man/man*/*
