## chiark-utils 5.0.0

=== debian/changelog ===
chiark-utils (5.0.0) unstable; urgency=medium

  New programs:
  * cgi-fcgi-interp
  * git-branchmove

  nntpid:
  * install in /usr/bin.  Closes:#773651.

  cvs-adjustroot:
  * Properly exit nonzero in case of error.
    Fixes the first half of #839708.
  * Silently succeed for */CVS/Root entries which already match
    the new value.  Closes:#839708 (second half).
  * Reinvoke oursevles via "$0" rather than our hardcoded name.
    Makes testing easier, etc.

  xduplic-copier:
  * Print error message, rather than segfaulting, if XOpenDisplay fails.
  * Use XkbKeycodeToKeysym instead of XKeycodeToKeysym.
  * Drop obsolete variable "ts_last".

  chiark-backup:
  * No longer attempt to lvchange -a n the snapshot volume.
  * Add daft_sleep calls to snapshot code.
  * Honour CHIARK_BACKUP_SHAREDIR in snap/lvm script.

  Documentation:
  * Install manpage summer(1).
  * Provide more .txt `docs' (xbatmon-simple.txt, rcopy-repeatedly.txt).

  Packaging:
  * Rebuild on current sid: Closes:#811216.
  * Fix tiny typo in long description.  Closes:#819746.  (Luke Faraone.)
  * Fix build repro by using gzip -n.  Closes:#777300.  (Chris Lamb.)
  * Drop debian/rules seddery for libgmp3c2 C++ ABI transition.
  * Add debian/.debhelper to .gitignore.
  * Drop `-isp' from dpkg-gencontrol invocation.
  * Drop a lot of -l options from xduplic-copier.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 05 Nov 2016 13:48:37 +0000
