## chiark-utils 5.0.2

=== debian/changelog ===
chiark-utils (5.0.2) unstable; urgency=medium

  * Portability fix: Fix on libcs where st_mtime is not a macro
    (ie, ones lacking st_mtim.)

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 23 Jan 2017 18:12:52 +0000

chiark-utils (5.0.1) unstable; urgency=medium

  * with-lock-ex: provide -l

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 23 Jan 2017 17:53:50 +0000
