=== debian/control ===
--- 
+++ 
@@ -63,7 +63,7 @@
  ASCII and hex.  Ie, a hex "terminal" program which lets you speak a
  serial port protocol directly.  (Needs tcl8.4 to be installed.)
  .
- random-word, remountresizereiserfs,
+ git-branchmove, random-word, remountresizereiserfs,
  summarise-mailbox-preserving-privacy
 
 Package: chiark-rwbuffer
@@ -112,6 +112,8 @@
  .
  summer and watershed require the installation of the Recommended
  crypto libraries; xbatmon-simple needs the Suggested X libraries.
+ .
+ cgi-fcgi-interp: for use with cgi-fcgi as a #! interpreter
 
 Package: chiark-really
 Section: admin
@@ -126,7 +128,7 @@
  general security risk to the system.
  .
  Unlike sudo it does not pretend that the called account can be any
- more secure than the calling account. so there is never a need for a
+ more secure than the calling account, so there is never a need for a
  password.  If you wanted to restrict which commands and functions the
  called user can perform, use userv, not really or sudo.
  .
