=== debian/rules ===
--- 
+++ 
@@ -63,7 +63,7 @@
 			$t/$$p/usr/share/doc/$$p/; \
 		ln -s changelog.gz \
 			$t/$$p/usr/share/doc/$$p/changelog.Debian.gz; \
-		gzip -9v $t/$$p/usr/share/doc/$$p/changelog; \
+		gzip -9vn $t/$$p/usr/share/doc/$$p/changelog; \
 		done
 	#
 	install -d $t/chiark-rwbuffer/usr/bin
@@ -93,7 +93,7 @@
 		$t/chiark-utils-bin/usr/share/man/man8/trivsoundd.8
 	rmdir	$t/chiark-utils-bin/usr/sbin
 	#
-	gzip -9f $t/*/usr/share/man/man*/*
+	gzip -9fn $t/*/usr/share/man/man*/*
 
 binary-hook-chiark-backup:
 binary-hook-chiark-rwbuffer:
@@ -109,7 +109,7 @@
 		chmod u=rwX,go=rX $t/$p/DEBIAN/$$f; \
 	done
 	dh_link -p$p -Pdebian/tmp/$p
-	dpkg-gencontrol -isp -p$p -P$t/$p -Tdebian/sv-$p
+	dpkg-gencontrol -p$p -P$t/$p -Tdebian/sv-$p
 	chown -R root.root debian/tmp
 	chmod -R g-ws debian/tmp
 	debian/rules binary-hook-$p
@@ -131,18 +131,13 @@
 		case "$$f" in \
 		*/xbatmon-simple|*/xduplic-copier) \
 					d=Suggests	;; \
-		*/watershed|*/summer)	d=Recommends	;; \
+		*/watershed|*/summer|*/cgi-fcgi-interp)	\
+					d=Recommends	;; \
 		*)			d=Depends	;; \
 		esac; \
 		a="$$a -d$$d $$f"; \
 	    done; set -x; \
 	    dpkg-shlibdeps -Tdebian/sv-chiark-utils-bin $$a
-	perl -i~ -pe '						'\
-	 -e'	next unless m/^shlibs:/;			'\
-	 -e'	s/$$/,/; s/=/=, /;				'\
-	 -e'	s/, libgmp3(?:c2)?,/, libgmp3 | libgmp3c2,/; 	'\
-	 -e'	s/=, /=/; s/,$$//;				'\
-			debian/sv-*[!~]
 	set -e; for p in $(packages_arch); \
 		do debian/rules binary-one p=$$p; done
