## chiark-utils 6.0.0~bpo9+2

=== debian/changelog ===
chiark-utils (6.0.0~bpo9+2) stretch-backports; urgency=medium

  * Rebuild with sbuild -A to include the arch:all packages too.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Wed, 09 May 2018 00:39:01 +0100

chiark-utils (6.0.0~bpo9+1) stretch-backports; urgency=medium

  * Upload chiark-utils 6.x to stretch.  In particular, the
    git-cache-proxy fixes are important and fishdescriptor is quite fun.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Wed, 09 May 2018 00:34:26 +0100

chiark-utils (6.0.0) unstable; urgency=medium

  xbatmon-simple:
  * Minor improvements to the .txt doc.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 20 Apr 2018 16:56:04 +0100

chiark-utils (5.0.3~citrix3) unstable; urgency=medium

  fishdescriptor:
  * New utility.

 -- Ian Jackson <ian.jackson@citrix.com>  Fri, 20 Apr 2018 16:46:48 +0100

chiark-utils (5.0.3~citrix2) unstable; urgency=medium

  with-lock-ex:
  * Switch to using getopt.
  * New -t (timeout) option.  Closes:#858555.

  git-cache-proxy:
  * New --serve-timeout option.
  * Radically increase several timeouts.

  Copyright faff:
  * Add DEVELOPER-CERTIFICATE file and start using S-o-b practice.
  * Convert with-lock-ex to MIT, since the PD dedication is not
    effective in some jurisdictions.

 -- Ian Jackson <ian.jackson@eu.citrix.com>  Mon, 08 May 2017 17:21:52 +0100

chiark-utils (5.0.3~citrix1) unstable; urgency=medium

  * git-cache-proxy: Do not spuriously timeout on too many simultaneous
    invocations (specifically, do not timeout when reacquiring the lock
    before serving).

 -- Ian Jackson <ian.jackson@eu.citrix.com>  Wed, 26 Apr 2017 13:04:12 +0100
