## chiark-utils 6.0.2~bpo9+1

=== debian/changelog ===
chiark-utils (6.0.2~bpo9+1) stretch-backports; urgency=medium

  * Upload chiark-utils 6.0.2 to stretch-backports.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Wed, 09 May 2018 00:34:26 +0100

chiark-utils (6.0.2) unstable; urgency=medium

  * Rebuild with arch:all packages included in the upload.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 11 Jun 2018 14:35:08 +0100

chiark-utils (6.0.1) unstable; urgency=low

  fishdescriptor:
  * Fix numerous bugs, affecting the `exec' feature with nontrivial fd
    specifications.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 11 Jun 2018 14:31:24 +0100
