## chiark-utils 6.0.2

=== scripts/Makefile ===
--- 
+++ 
@@ -25,11 +25,13 @@
 		genspic2gnuplot gnucap2genspic ngspice2genspic \
 		cvs-repomove cvs-adjustroot remountresizereiserfs \
 		hexterm summarise-mailbox-preserving-privacy \
-		git-cache-proxy
+		git-cache-proxy git-branchmove nntpid
 MANPAGES1=	palm-datebook-reminders
 
 CSCRIPTS=	named-conf
 CMANPAGES8=	named-conf
+
+PERLMODULES=	Chiark/NNTP
 
 all:
 
@@ -39,6 +41,10 @@
 			$(INSTALL_SCRIPT) $$f $(bindir)/$$f; done
 		set -e; for f in $(CSCRIPTS); do \
 			$(INSTALL_SCRIPT) $$f $(bindir)/chiark-$$f; done
+		set -e; for f in $(PERLMODULES); do \
+			$(INSTALL_DIRECTORY) ${perl5dir}/$${f%/*}; \
+			$(INSTALL_SHARE) $$f.pm $(perl5dir)/$$f.pm; done
+
 
 install-docs:
 		$(INSTALL_DIRECTORY) $(man1dir) $(man8dir)
