## chiark-utils 6.0.3

=== cprogs/Makefile ===
--- 
+++ 
@@ -28,13 +28,16 @@
 RWBUFFER_SIZE_MB=16
 
 PROGRAMS=		readbuffer writebuffer with-lock-ex xbatmon-simple \
-			summer watershed rcopy-repeatedly xduplic-copier
+			summer watershed rcopy-repeatedly xduplic-copier \
+			cgi-fcgi-interp
 SUIDSBINPROGRAMS=	really
 DAEMONS=		trivsoundd
 MAN1PAGES=		readbuffer.1 writebuffer.1 with-lock-ex.1 \
-			xduplic-copier.1
+			xduplic-copier.1 summer.1
 MAN8PAGES=		trivsoundd.8 really.8
-BUILTTXTDOCS=		watershed.txt
+SEDDERYDOCS=		watershed.txt cgi-fcgi-interp.txt \
+			xbatmon-simple.txt rcopy-repeatedly.txt
+BUILTTXTDOCS=		$(SEDDERYDOCS)
 TXTDOCS=		$(BUILTTXTDOCS)
 
 acctdump_cc_out:=$(shell \
@@ -63,8 +66,9 @@
 
 xbatmon-simple: LDLIBS += -lX11 -lm
 
-xduplic-copier: LDLIBS += -lXmu -lSM -lICE -lXt -lXext
-xduplic-copier: LDLIBS += -lX11 -lxcb -lXau -lXdmcp
+xduplic-copier: LDLIBS += -lXmu -lX11
+#xduplic-copier: LDLIBS += -lXmu -lSM -lICE -lXt -lXext
+#xduplic-copier: LDLIBS += -lX11 -lxcb -lXau -lXdmcp
 
 summer:		summer.o
 summer:		LDLIBS += -lnettle -lgmp
@@ -72,10 +76,13 @@
 rcopy-repeatedly: rcopy-repeatedly.o myopt.o
 rcopy-repeatedly: LDLIBS += -lm -lrt
 
-watershed:	watershed.o
+watershed:	watershed.o common.o
 watershed:	LDLIBS += -lnettle -lgmp
 
-watershed.txt:	watershed.c
+cgi-fcgi-interp:	cgi-fcgi-interp.o	myopt.o common.o
+cgi-fcgi-interp:	LDLIBS += -lnettle
+
+$(SEDDERYDOCS): %.txt: %.c
 		sed '/^$$/,$$d' <$^ >$@.new && mv -f $@.new $@
 
 install:		all
@@ -85,7 +92,7 @@
 		$(INSTALL) -m 4774 -o root -g $(SYSTEM_GROUP) \
 			$(SUIDSBINPROGRAMS) $(sbindir)
 
-install-docs:	watershed.txt
+install-docs:	$(TXTDOCS)
 		$(INSTALL_DIRECTORY) $(man1dir) $(man8dir) $(txtdocdir)
 		$(INSTALL) -m 644 $(MAN1PAGES) ${man1dir}/.
 		$(INSTALL) -m 644 $(MAN8PAGES) ${man8dir}/.
