=== debian/control ===
--- 
+++ 
@@ -26,12 +26,16 @@
 Conflicts: chiark-named-conf, sync-accounts
 Replaces: chiark-named-conf, sync-accounts
 Depends: ${misc:Depends}
-Suggests: tcl8.4
+Suggests: tcl8.4, python3, gdb
 Architecture: all
 Description: chiark system administration scripts
  This package contains a number of small administration scripts used
  by chiark.greenend.org.uk and other systems belonging to the Sinister
  Greenend Organisation.  Featuring:
+ .
+ fishdescriptor: a tool for extracting a file descriptor from
+ another (non-cooperating) process and giving it to you (or
+ for examining it).  Requires gdb and python3.
  .
  chiark-named-conf: a tool for managing nameserver configurations
  and checking for suspected DNS problems.  Its main functions are to
