## chiark-utils 6.0.4build1

=== debian/changelog ===
chiark-utils (6.0.4build1) focal; urgency=medium

  * No-change rebuild against libnettle7.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 07 Nov 2019 08:10:17 -0800
