=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: chiark-utils
 Section: admin
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
+Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
 Build-Depends: libx11-dev, libxmu-dev, nettle-dev, debhelper (>= 5),
                libxdmcp-dev, libxau-dev, libice-dev, libsm-dev
 Standards-Version: 3.9.1
@@ -26,7 +25,7 @@
 Priority: extra
 Conflicts: chiark-named-conf, sync-accounts
 Replaces: chiark-named-conf, sync-accounts
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, libgit-wrapper-perl, libtry-tiny-perl
 Suggests: tcl8.4, python3, gdb
 Architecture: all
 Description: chiark system administration scripts
