## chiark-utils 6.1.2build1

=== debian/changelog ===
chiark-utils (6.1.2build1) groovy; urgency=medium

  * No change rebuild against new libnettle8 and libhogweed6 ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 29 Jun 2020 22:22:01 +0100
