=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: chiark-utils
 Section: admin
 Priority: extra
-Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
 Build-Depends: libx11-dev, libxmu-dev, nettle-dev, debhelper (>= 5),
                libxdmcp-dev, libxau-dev, libice-dev, libsm-dev
 Standards-Version: 3.9.1
