=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 SHELL=/bin/bash
 
 subdirs_build_arch=	cprogs
-subdirs_nobuild=backup sync-accounts scripts
+subdirs_nobuild=backup sync-accounts scripts fishdescriptor
 package=	chiark-utils
 packages_indep=	chiark-backup chiark-scripts
 packages_arch=	chiark-rwbuffer chiark-really chiark-utils-bin
@@ -52,6 +52,7 @@
 	#
 	mv $t/cprogs $t/chiark-utils-bin
 	#
+	cp -a debian/tmp/fishdescriptor/* debian/tmp/scripts/.
 	cp -a debian/tmp/sync-accounts/* debian/tmp/scripts/.
 	rm -r debian/tmp/sync-accounts
 	mv debian/tmp/scripts debian/tmp/chiark-scripts
